Bug 178012 - graphics/gexiv2 : upgrade to 0.6.1
Summary: graphics/gexiv2 : upgrade to 0.6.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-20 21:50 UTC by Christoph Moench-Tegeder
Modified: 2013-06-11 19:40 UTC (History)
0 users

See Also:


Attachments
file.diff (1.49 KB, patch)
2013-04-20 21:50 UTC, Christoph Moench-Tegeder
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Moench-Tegeder freebsd_committer 2013-04-20 21:50:00 UTC
	This PR is a prerequisite for upgrading graphics/shotwell to a
	current (and buildable) version. Current shotwell requires at least
	gexiv2 0.4.90, but I think there's no sense in upgrading to an already
	obsolete version.

Fix: Patch via HTTP: http://burggraben.net/hacks/gexiv2.diff.gz
Comment 1 Edwin Groothuis freebsd_committer 2013-04-20 21:50:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lioux

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 William Grzybowski freebsd_committer 2013-06-08 16:06:52 UTC
Responsible Changed
From-To: lioux->wg

I'll take it.
Comment 3 dfilter service freebsd_committer 2013-06-11 19:37:09 UTC
Author: wg
Date: Tue Jun 11 18:36:56 2013
New Revision: 320624
URL: http://svnweb.freebsd.org/changeset/ports/320624

Log:
  - Update to 0.6.1
  
  Changes:
  http://redmine.yorba.org/projects/gexiv2/repository/revisions/master/entry/NEWS
  
  PR:		ports/178012
  Submitted by:	Christoph Moench-Tegeder <cmt@burggraben.net>
  Approved by:	culot / jpaetzel (mentors, implicit), maintainer (timeout)

Modified:
  head/graphics/gexiv2/Makefile
  head/graphics/gexiv2/distinfo
  head/graphics/gexiv2/pkg-plist

Modified: head/graphics/gexiv2/Makefile
==============================================================================
--- head/graphics/gexiv2/Makefile	Tue Jun 11 18:31:39 2013	(r320623)
+++ head/graphics/gexiv2/Makefile	Tue Jun 11 18:36:56 2013	(r320624)
@@ -2,10 +2,11 @@
 # $FreeBSD$
 
 PORTNAME=	gexiv2
-PORTVERSION=	0.4.1
+PORTVERSION=	0.6.1
 CATEGORIES=	graphics
 MASTER_SITES=	http://yorba.org/download/${PORTNAME}/${PORTVERSION:R}/
-DISTNAME=	libgexiv2-${PORTVERSION}
+DISTNAME=	libgexiv2_${PORTVERSION}
+WRKSRC=		${WRKDIR}/lib${PORTNAME}-${PORTVERSION}
 
 MAINTAINER=	lioux@FreeBSD.org
 COMMENT=	GObject-based wrapper around Exiv2 library
@@ -17,7 +18,7 @@ BUILD_DEPENDS=	libtool:${PORTSDIR}/devel
 LIB_DEPENDS=	exiv2:${PORTSDIR}/graphics/exiv2
 
 USES=		pkgconfig
-USE_BZIP2=	yes
+USE_XZ=		yes
 USE_GNOME=	glib20
 USE_GMAKE=	yes
 USE_LDCONFIG=	yes

Modified: head/graphics/gexiv2/distinfo
==============================================================================
--- head/graphics/gexiv2/distinfo	Tue Jun 11 18:31:39 2013	(r320623)
+++ head/graphics/gexiv2/distinfo	Tue Jun 11 18:36:56 2013	(r320624)
@@ -1,2 +1,2 @@
-SHA256 (libgexiv2-0.4.1.tar.bz2) = c51e8bae7e53866b474b51e4eef19b98385fbeaf2edac2aefd7d24ed3f7d9d6e
-SIZE (libgexiv2-0.4.1.tar.bz2) = 25484
+SHA256 (libgexiv2_0.6.1.tar.xz) = 72ee2fcc6a98c9e83467adea45b10d1b61c55654c204dcce9c2463615389a9e3
+SIZE (libgexiv2_0.6.1.tar.xz) = 27300

Modified: head/graphics/gexiv2/pkg-plist
==============================================================================
--- head/graphics/gexiv2/pkg-plist	Tue Jun 11 18:31:39 2013	(r320623)
+++ head/graphics/gexiv2/pkg-plist	Tue Jun 11 18:36:56 2013	(r320624)
@@ -5,7 +5,7 @@ include/gexiv2/gexiv2-managed-stream.h
 include/gexiv2/gexiv2-preview-properties.h
 include/gexiv2/gexiv2-preview-image.h
 include/gexiv2/gexiv2-startup.h
-lib/libgexiv2.so.1
+lib/libgexiv2.so.2
 lib/libgexiv2.so
 lib/libgexiv2.la
 lib/libgexiv2.a
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 William Grzybowski freebsd_committer 2013-06-11 19:40:10 UTC
State Changed
From-To: open->closed

Committed. Thanks!